<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/PlayerModifiers/Modifiers/conditions/HeatBuffer.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d9/d5c/_heat_buffer_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">HeatBuffer.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d9/d5c/_heat_buffer_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../da/d87/class_heat_buffer_mdfr.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../da/d87/class_heat_buffer_mdfr.html">HeatBufferMdfr</a>: <a class="code hl_class" href="../../d8/d0a/class_modifier_base.html">ModifierBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../da/d87/class_heat_buffer_mdfr.html#a0856f59984f889da4789001e68253992">    3</a></span>    <span class="keyword">protected</span> <span class="keyword">const</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../da/d87/class_heat_buffer_mdfr.html#a0856f59984f889da4789001e68253992">HEATBUFFER_SHOW</a> = 25.0;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../da/d87/class_heat_buffer_mdfr.html#a765776119c39a1e1d5b80c632d32a3fa">    4</a></span>    <span class="keyword">protected</span> <span class="keyword">const</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../da/d87/class_heat_buffer_mdfr.html#a765776119c39a1e1d5b80c632d32a3fa">HEATBUFFER_HIDE</a> = 20.0;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span> </div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../da/d87/class_heat_buffer_mdfr.html#a72b888c4662c66cba2c156c78df93088">    6</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d87/class_heat_buffer_mdfr.html#a72b888c4662c66cba2c156c78df93088">Init</a>()</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    {</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>        <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#a04ae6d90cb75d3086c27e65cddd358a0">m_TrackActivatedTime</a> = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>        <a class="code hl_variable" href="../../d5/d2d/_effect_8c.html#a231c2447c3602426c9e06e6094bae8a8">m_ID</a>                    = <a class="code hl_enumeration" href="../../d9/d19/e_modifiers_8c.html#a38544df67f7f5b2fdf488d7705d7a582">eModifiers</a>.MDF_HEATBUFFER;</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#aad5f52b5eb22d81599e8a25ec6055d22">m_TickIntervalInactive</a>  = 1;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>        <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#aa9aa2d760c0099abe3d671d7c4c6368f">m_TickIntervalActive</a>    = <a class="code hl_variable" href="../../d3/d3c/_modifiers_manager_8c.html#ad7b192f22a83d324fbb2fc7fea14ad09">DEFAULT_TICK_TIME_ACTIVE</a>;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    }</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>    </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="../../da/d87/class_heat_buffer_mdfr.html#a0dd2b8e5f1c75397b36177395503f026">   14</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d87/class_heat_buffer_mdfr.html#a0dd2b8e5f1c75397b36177395503f026">OnTick</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <span class="keywordtype">float</span> deltaT)</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    {</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span> </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    }</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../da/d87/class_heat_buffer_mdfr.html#a9fe687e88dfa90e6bf805557950ac781">   19</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../da/d87/class_heat_buffer_mdfr.html#a9fe687e88dfa90e6bf805557950ac781">ActivateCondition</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    {</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        <span class="keywordtype">float</span> heatbuffer = player.GetStatHeatBuffer().Get();</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        <span class="keywordflow">if</span> ( heatbuffer &gt;= <a class="code hl_variable" href="../../da/d87/class_heat_buffer_mdfr.html#a0856f59984f889da4789001e68253992">HEATBUFFER_SHOW</a> )</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        {</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        }</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        {</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        }</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    }</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span> </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno"><a class="line" href="../../da/d87/class_heat_buffer_mdfr.html#ad107bd4bee9ad2a35bd252d24f498945">   32</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d87/class_heat_buffer_mdfr.html#ad107bd4bee9ad2a35bd252d24f498945">OnActivate</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    {</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        <span class="keywordflow">if</span>( player.GetNotifiersManager() )</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        {</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>            <span class="comment">//player.GetNotifiersManager().ActivateByType(eNotifiers.NTF_HEATBUFFER);</span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>            player.ToggleHeatBufferVisibility( <span class="keyword">true</span> );</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        }</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    }</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span> </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno"><a class="line" href="../../da/d87/class_heat_buffer_mdfr.html#adf9ee062c34fd02840c682028de3befb">   41</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d87/class_heat_buffer_mdfr.html#adf9ee062c34fd02840c682028de3befb">OnDeactivate</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    {</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        <span class="keywordflow">if</span>( player.GetNotifiersManager() )</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        {</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>            <span class="comment">//player.GetNotifiersManager().DeactivateByType(eNotifiers.NTF_HEATBUFFER);</span></div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>            player.ToggleHeatBufferVisibility( <span class="keyword">false</span> );</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        }</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    }</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span> </div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno"><a class="line" href="../../da/d87/class_heat_buffer_mdfr.html#a1daea2aca9de0443da779c631ce5fa2e">   50</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../da/d87/class_heat_buffer_mdfr.html#a1daea2aca9de0443da779c631ce5fa2e">DeactivateCondition</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    {</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        <span class="keywordtype">float</span> heatbuffer = player.GetStatHeatBuffer().Get();</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        <span class="keywordflow">if</span> ( heatbuffer &lt; <a class="code hl_variable" href="../../da/d87/class_heat_buffer_mdfr.html#a765776119c39a1e1d5b80c632d32a3fa">HEATBUFFER_HIDE</a> )</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        {</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        }</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        {</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        }</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>    }</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>};</div>
<div class="ttc" id="a_effect_8c_html_a231c2447c3602426c9e06e6094bae8a8"><div class="ttname"><a href="../../d5/d2d/_effect_8c.html#a231c2447c3602426c9e06e6094bae8a8">m_ID</a></div><div class="ttdeci">protected int m_ID</div><div class="ttdoc">ID of effect, given by SEffectManager when registered (automatically done when playing through it)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2d/_effect_8c_source.html#l00049">Effect.c:49</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_a04ae6d90cb75d3086c27e65cddd358a0"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#a04ae6d90cb75d3086c27e65cddd358a0">m_TrackActivatedTime</a></div><div class="ttdeci">bool m_TrackActivatedTime</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00015">ModifierBase.c:15</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_aa9aa2d760c0099abe3d671d7c4c6368f"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#aa9aa2d760c0099abe3d671d7c4c6368f">m_TickIntervalActive</a></div><div class="ttdeci">float m_TickIntervalActive</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00019">ModifierBase.c:19</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_aad5f52b5eb22d81599e8a25ec6055d22"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#aad5f52b5eb22d81599e8a25ec6055d22">m_TickIntervalInactive</a></div><div class="ttdeci">float m_TickIntervalInactive</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00018">ModifierBase.c:18</a></div></div>
<div class="ttc" id="a_modifiers_manager_8c_html_ad7b192f22a83d324fbb2fc7fea14ad09"><div class="ttname"><a href="../../d3/d3c/_modifiers_manager_8c.html#ad7b192f22a83d324fbb2fc7fea14ad09">DEFAULT_TICK_TIME_ACTIVE</a></div><div class="ttdeci">const int DEFAULT_TICK_TIME_ACTIVE</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d3c/_modifiers_manager_8c_source.html#l00031">ModifiersManager.c:31</a></div></div>
<div class="ttc" id="aclass_heat_buffer_mdfr_html"><div class="ttname"><a href="../../da/d87/class_heat_buffer_mdfr.html">HeatBufferMdfr</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d5c/_heat_buffer_8c_source.html#l00001">HeatBuffer.c:2</a></div></div>
<div class="ttc" id="aclass_heat_buffer_mdfr_html_a0856f59984f889da4789001e68253992"><div class="ttname"><a href="../../da/d87/class_heat_buffer_mdfr.html#a0856f59984f889da4789001e68253992">HeatBufferMdfr::HEATBUFFER_SHOW</a></div><div class="ttdeci">protected const float HEATBUFFER_SHOW</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d5c/_heat_buffer_8c_source.html#l00003">HeatBuffer.c:3</a></div></div>
<div class="ttc" id="aclass_heat_buffer_mdfr_html_a0dd2b8e5f1c75397b36177395503f026"><div class="ttname"><a href="../../da/d87/class_heat_buffer_mdfr.html#a0dd2b8e5f1c75397b36177395503f026">HeatBufferMdfr::OnTick</a></div><div class="ttdeci">override void OnTick(PlayerBase player, float deltaT)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d5c/_heat_buffer_8c_source.html#l00014">HeatBuffer.c:14</a></div></div>
<div class="ttc" id="aclass_heat_buffer_mdfr_html_a1daea2aca9de0443da779c631ce5fa2e"><div class="ttname"><a href="../../da/d87/class_heat_buffer_mdfr.html#a1daea2aca9de0443da779c631ce5fa2e">HeatBufferMdfr::DeactivateCondition</a></div><div class="ttdeci">override bool DeactivateCondition(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d5c/_heat_buffer_8c_source.html#l00050">HeatBuffer.c:50</a></div></div>
<div class="ttc" id="aclass_heat_buffer_mdfr_html_a72b888c4662c66cba2c156c78df93088"><div class="ttname"><a href="../../da/d87/class_heat_buffer_mdfr.html#a72b888c4662c66cba2c156c78df93088">HeatBufferMdfr::Init</a></div><div class="ttdeci">override void Init()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d5c/_heat_buffer_8c_source.html#l00006">HeatBuffer.c:6</a></div></div>
<div class="ttc" id="aclass_heat_buffer_mdfr_html_a765776119c39a1e1d5b80c632d32a3fa"><div class="ttname"><a href="../../da/d87/class_heat_buffer_mdfr.html#a765776119c39a1e1d5b80c632d32a3fa">HeatBufferMdfr::HEATBUFFER_HIDE</a></div><div class="ttdeci">protected const float HEATBUFFER_HIDE</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d5c/_heat_buffer_8c_source.html#l00004">HeatBuffer.c:4</a></div></div>
<div class="ttc" id="aclass_heat_buffer_mdfr_html_a9fe687e88dfa90e6bf805557950ac781"><div class="ttname"><a href="../../da/d87/class_heat_buffer_mdfr.html#a9fe687e88dfa90e6bf805557950ac781">HeatBufferMdfr::ActivateCondition</a></div><div class="ttdeci">override bool ActivateCondition(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d5c/_heat_buffer_8c_source.html#l00019">HeatBuffer.c:19</a></div></div>
<div class="ttc" id="aclass_heat_buffer_mdfr_html_ad107bd4bee9ad2a35bd252d24f498945"><div class="ttname"><a href="../../da/d87/class_heat_buffer_mdfr.html#ad107bd4bee9ad2a35bd252d24f498945">HeatBufferMdfr::OnActivate</a></div><div class="ttdeci">override void OnActivate(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d5c/_heat_buffer_8c_source.html#l00032">HeatBuffer.c:32</a></div></div>
<div class="ttc" id="aclass_heat_buffer_mdfr_html_adf9ee062c34fd02840c682028de3befb"><div class="ttname"><a href="../../da/d87/class_heat_buffer_mdfr.html#adf9ee062c34fd02840c682028de3befb">HeatBufferMdfr::OnDeactivate</a></div><div class="ttdeci">override void OnDeactivate(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d5c/_heat_buffer_8c_source.html#l00041">HeatBuffer.c:41</a></div></div>
<div class="ttc" id="aclass_modifier_base_html"><div class="ttname"><a href="../../d8/d0a/class_modifier_base.html">ModifierBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d04/_breath_vapour_mdfr_8c_source.html#l00003">BreathVapourMdfr.c:4</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="ae_modifiers_8c_html_a38544df67f7f5b2fdf488d7705d7a582"><div class="ttname"><a href="../../d9/d19/e_modifiers_8c.html#a38544df67f7f5b2fdf488d7705d7a582">eModifiers</a></div><div class="ttdeci">eModifiers</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d19/e_modifiers_8c_source.html#l00001">eModifiers.c:2</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_0e1c6459c1c3433a8fff963bc41b9946.html">PlayerModifiers</a></li><li class="navelem"><a class="el" href="../../dir_2f487fd4525d42d8067e7d1b4828f2de.html">Modifiers</a></li><li class="navelem"><a class="el" href="../../dir_af5a0bbd16f1deac0f80732119cbe418.html">conditions</a></li><li class="navelem"><a class="el" href="../../d9/d5c/_heat_buffer_8c.html">HeatBuffer.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
